Bug 198178 - ldd -r reports undefined symbols
ldd -r reports undefined symbols
Product: Fedora
Classification: Fedora
Component: amanda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Brich
Depends On:
Blocks: ldd-r-kh
  Show dependency treegraph
Reported: 2006-07-10 09:06 EDT by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-25 09:32:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-07-10 09:06:11 EDT
Note: ldd can't handle dlopen'ed dependent libraries and these unresolved symbols
might be resolved by those. But this needs to be checked.

undefined symbol: debug (/usr/lib/libamclient-2.5.0p2.so)
undefined symbol: sanitise_filename     (/usr/lib/libamclient-2.5.0p2.so)
undefined symbol: construct_timestamp   (/usr/lib/libamclient-2.5.0p2.so)
undefined symbol: amflock       (/usr/lib/libamclient-2.5.0p2.so)
undefined symbol: get_pname     (/usr/lib/libamclient-2.5.0p2.so)
undefined symbol: glob_to_regex (/usr/lib/libamclient-2.5.0p2.so)
undefined symbol: amfunlock     (/usr/lib/libamclient-2.5.0p2.so)
undefined symbol: debug_newvstralloc    (/usr/lib/libamclient-2.5.0p2.so)
Comment 1 Karsten Hopp 2007-04-05 06:04:13 EDT
ldd -r still reports many unresolved symbols in amanda-2.5.1p3-1.fc7
reproducable with rpm -ql amanda | grep lib.*so | xargs ldd -r
Comment 2 Lukas Vrabel 2007-04-10 09:30:35 EDT
ok, im working on it
Comment 3 Radek Brich 2007-06-25 09:32:04 EDT
fixed in 2.5.2p1-3.fc8

Note You need to log in before you can comment on or make changes to this bug.